
package io.platform.sys.web.remote;
import com.baomidou.mybatisplus.plugins.Page;
import com.alibaba.dubbo.config.annotation.Reference;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.base.common.utils.PageUtils;
import io.platform.base.common.utils.Query;
import io.platform.sys.dto.SysOssDto;
import io.platform.sys.service.client.api.SysOssServiceClient;
import org.springframework.stereotype.Service;
import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/8/31.
 */
@Service("sysOssServiceRemote")
public class SysOssServiceRemote {

    @Reference(check = false)
    private SysOssServiceClient sysOssServiceClient;
    /**
     * 根据参数获取列表  无分页
     */
    public List<SysOssDto> getList(Map<String, Object> params){
        return sysOssServiceClient.queryList(params);
    }
    /**
     * 根据参数进行 分页查询
     */
    public Page<SysOssDto> getPage(Page<SysOssDto> page, SysOssDto sysOssDto){
        return sysOssServiceClient.getPage(page,sysOssDto);
    }
    /**
     * 根据主键 获取单条数据明细
     */
    public SysOssDto getOne(Long id){
        SysOssDto sysOssDto = sysOssServiceClient.queryObject(id);
        return sysOssDto;
    }
    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(SysOssDto sysOssDto){

       return  sysOssServiceClient.save(sysOssDto);
    }
    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(SysOssDto sysOssDto){

        return sysOssServiceClient.update(sysOssDto);
    }
    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids){
        return  sysOssServiceClient.deleteBatch(ids);
    }



}
