package io.platform.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;

import java.util.ArrayList;
import java.util.List;

public class DataUtils {
    /**
     * 数据处理
     */

    // 整数集合去重
    public static List<Integer> integerDeduplication(List<Integer> integerList) {
        List<Integer> listTemp = new ArrayList();
        for (int i = 0; i < integerList.size(); i++) {
            if (!listTemp.contains(integerList.get(i))) {
                listTemp.add(integerList.get(i));
            }
        }
        return listTemp;
    }

    /**
     * List<T> 转 json 保存到数据库
     */
    public static <T> String listToJson(List<T> ts) {
        String jsons = JSON.toJSONString(ts);
        return jsons;
    }

    /**
     * json 转 List<T>
     */
    public static <T> List<T> jsonToList(String jsonString, Class<T> clazz) {
        @SuppressWarnings("unchecked")
        List<T> ts = (List<T>) JSONArray.parseArray(jsonString, clazz);
        return ts;
    }

}
